---
title: RangeError() constructor
slug: Web/JavaScript/Reference/Global_Objects/RangeError/RangeError
tags:
  - Constructor
  - JavaScript
  - Reference
---
<div>{{JSRef}}</div>

<p><span class="seoSummary">The <code><strong>RangeError()</strong></code> constructor creates an error when a value is not in the set or range of allowed values.</span></p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"><code>new RangeError([<var>message</var>[, <var>fileName</var>[, <var>lineNumber</var>]]])</code></pre>

<h3 id="Parameters">Parameters</h3>

<dl>
 <dt><code><var>message</var></code> {{optional_inline}}</dt>
 <dd>Human-readable description of the error.</dd>
 <dt><code><var>fileName</var></code> {{optional_inline}} </dt>
 <dd>The name of the file containing the code that caused the exception</dd>
 <dt><code><var>lineNumber</var></code> {{optional_inline}} </dt>
 <dd>The line number of the code that caused the exception</dd>
</dl>

<h2 id="Examples">Examples</h2>

<h3 id="Using_RangeError_for_numeric_values">Using <code>RangeError</code> (for numeric values)</h3>

<pre class="brush: js">function check(n)
{
    if( !(n &gt;= -500 &amp;&amp; n &lt;= 500) )
    {
        throw new RangeError("The argument must be between -500 and 500.")
    }
}

try
{
    check(2000)
}
catch(error)
{
    if (error instanceof RangeError)
    {
        // Handle the error
    }
}</pre>

<h3 id="Using_RangeError_for_non-numeric_values">Using <code>RangeError</code> (for non-numeric values)</h3>

<pre class="brush: js">function check(value)
{
    if(["apple", "banana", "carrot"].includes(value) === false)
    {
        throw new RangeError('The argument must be an "apple", "banana", or "carrot".')
    }
}

try
{
    check("cabbage")
}
catch(error)
{
    if(error instanceof RangeError)
    {
        // Handle the error
    }
}
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('ESDraft', '#sec-nativeerror-constructors', 'NativeError constructors')}}</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>

<p>{{Compat("javascript.builtins.RangeError.RangeError")}}</p>
</div>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{jsxref("Error")}}</li>
 <li>{{jsxref("Array")}}</li>
 <li>{{jsxref("Number.toExponential()")}}</li>
 <li>{{jsxref("Number.toFixed()")}}</li>
 <li>{{jsxref("Number.toPrecision()")}}</li>
 <li>{{jsxref("String.prototype.normalize()")}}</li>
</ul>
